cURL
curl --request PUT \
--url https://api.become1.de/api/v2/employees/{employeeId}/goodies/budget \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"budget": {
"value": 123
},
"startDate": "2023-11-07T05:31:56Z",
"endDate": "2023-11-07T05:31:56Z"
}
'import requests
url = "https://api.become1.de/api/v2/employees/{employeeId}/goodies/budget"
payload = {
"budget": { "value": 123 },
"startDate": "2023-11-07T05:31:56Z",
"endDate": "2023-11-07T05:31:56Z"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
budget: {value: 123},
startDate: '2023-11-07T05:31:56Z',
endDate: '2023-11-07T05:31:56Z'
})
};
fetch('https://api.become1.de/api/v2/employees/{employeeId}/goodies/budget', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "<string>",
"dateCreated": "2023-11-07T05:31:56Z",
"dateModified": "2023-11-07T05:31:56Z",
"employeeId": "<string>",
"amount": {},
"nextDate": "2023-11-07T05:31:56Z",
"startDate": "2023-11-07T05:31:56Z",
"startDateYearMonth": "<string>",
"dateDeleted": "2023-11-07T05:31:56Z",
"endDate": "2023-11-07T05:31:56Z",
"endDateYearMonth": "<string>"
}
]Goodies
Set monthly budget
PUT
/
api
/
v2
/
employees
/
{employeeId}
/
goodies
/
budget
cURL
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
This budget restricts all budgets except for goodies and sports
Show child attributes
Show child attributes
Make sure the date is UTC+0.
To have the planned monthly voucher created on 1st of January 2023, the input would be: 2023-01-01T00:00:00.000Z.
This can be set up for any date present or in the future, not for a past date
Example:
Current Date 7th of March -> earliest startDate = 7th of March
Current Date 8th of March -> earliest startDate = 8th of March
Make sure the date is UTC+0.
To have the monthly voucher expire on the end of January 2023, the input would be: 2023-01-31T23:59:99.999Z\n
This can be set up for any date in the future, not for a past or present date
Example:
Current Date 7th of March -> earliest endDate = 2023-03-08T23:59:99.999Z
Current Date 8th of March -> earliest endDate = 2023-03-09T23:59:99.999Z
Response
200 - application/json
The unique primary key (UUID) of the entity.
Available options:
GENERIC, SPECIAL Available options:
ONCE, DAILY, WEEKLY, MONTHLY, YEARLY yyyy-MM
yyyy-MM
⌘I